#!/usr/bin/python
# coding=utf-8
# Nom de fichier : main.py
import sys,serial
from varglob import *
from mod_boutonT import *
from periph import *
from fct_div import *

if __name__ == '__main__':
    ##
    ## INITIALISATION
    ##
    # Boutons tactiles
    Glob.TOU_THRESH = 0x30
    Glob.REL_THRESH = 0x33
    setup(0x5a)

    # RFID
    ser = serial.Serial('/dev/ttyAMA0')

    # Base de donnee
    bd = GestionBD(Glob.dbName,Glob.user,Glob.passwd,Glob.host,Glob.port)

    if bd.echec: sys.exit
    else: bd=menu(bd)

    ##
    ## TRAITEMENT
    ##
    try:
    	jim_jou = Jiminy()
    	gps = Litgps()
	lect_RFID = LitRFID()
	matrice = Ecrit_matrice(jim_jou)

	# Lancement des threads
    	gps.start()
	lect_RFID.start()
	matrice.start()
	#cpt_jeu = 0

	while Glob.jeu :
	    #print cpt_jeu
	    #cpt_jeu += 1
	    # Boutons tactiles
	    touchData = readData(0x5a)
	    action_tactile(touchData,jim_jou.grid)

	    # Lecteur RFID
	    if lect_RFID.activeRFID():
		action_rfid(jim_jou,lect_RFID)

	    # GPS
	    action_gps(bd,jim_jou,gps,matrice)
 
    ##
    ## TERMINAISON
    ##
    except(KeyboardInterrupt):
	gps.stop()
	print "1..."
	bd.close()
	print "2..."
	ser.close()
	print "3..."
	del matrice
	print "4..."
	del gps
	print "5..."
	del jim_jou
	print "Clôture des processus terminée"
