# Based on Arduino example by Jim Lindblom
# http://bildr.org/2011/05/mpr121_arduino/

from varglob import *
import smbus
bus = smbus.SMBus(1)

# Routines
def readData(address):
	Glob.MSB = bus.read_byte_data(address, 0x00)
	Glob.LSB = bus.read_byte_data(address, 0x01)

	#touchData = (MSB << 8) | LSB
	touchData = Glob.MSB;

	return touchData;

def setup(address):
	bus.write_byte_data(address, Glob.ELE_CFG, 0x00)

	# Section A - Controls filtering when data is > baseline.
	bus.write_byte_data(address, Glob.MHD_R, 0x01)
	bus.write_byte_data(address, Glob.NHD_R, 0x01)
	bus.write_byte_data(address, Glob.NCL_R, 0x00)
	bus.write_byte_data(address, Glob.FDL_R, 0x00)

	# Section B - Controls filtering when data is < baseline.
	bus.write_byte_data(address, Glob.MHD_F, 0x01)
	bus.write_byte_data(address, Glob.NHD_F, 0x01)
	bus.write_byte_data(address, Glob.NCL_F, 0xFF)
	bus.write_byte_data(address, Glob.FDL_F, 0x02)	

	#Section C - Sets touch and release thresholds for each electrode
	bus.write_byte_data(address, Glob.ELE0_T, Glob.TOU_THRESH)
	bus.write_byte_data(address, Glob.ELE0_R, Glob.REL_THRESH)

	bus.write_byte_data(address, Glob.ELE1_T, Glob.TOU_THRESH)
	bus.write_byte_data(address, Glob.ELE1_R, Glob.REL_THRESH)

	bus.write_byte_data(address, Glob.ELE2_T, Glob.TOU_THRESH)
	bus.write_byte_data(address, Glob.ELE2_R, Glob.REL_THRESH)

	bus.write_byte_data(address, Glob.ELE3_T, Glob.TOU_THRESH)
	bus.write_byte_data(address, Glob.ELE3_R, Glob.REL_THRESH)

	bus.write_byte_data(address, Glob.ELE4_T, Glob.TOU_THRESH)
	bus.write_byte_data(address, Glob.ELE4_R, Glob.REL_THRESH)

	bus.write_byte_data(address, Glob.ELE5_T, Glob.TOU_THRESH)
	bus.write_byte_data(address, Glob.ELE5_R, Glob.REL_THRESH)

	bus.write_byte_data(address, Glob.ELE6_T, Glob.TOU_THRESH)
	bus.write_byte_data(address, Glob.ELE6_R, Glob.REL_THRESH)

	bus.write_byte_data(address, Glob.ELE7_T, Glob.TOU_THRESH)
	bus.write_byte_data(address, Glob.ELE7_R, Glob.REL_THRESH)

	bus.write_byte_data(address, Glob.ELE8_T, Glob.TOU_THRESH)
	bus.write_byte_data(address, Glob.ELE8_R, Glob.REL_THRESH)

	bus.write_byte_data(address, Glob.ELE9_T, Glob.TOU_THRESH)
	bus.write_byte_data(address, Glob.ELE9_R, Glob.REL_THRESH)

	bus.write_byte_data(address, Glob.ELE10_T, Glob.TOU_THRESH)
	bus.write_byte_data(address, Glob.ELE10_R, Glob.REL_THRESH)

	bus.write_byte_data(address, Glob.ELE11_T, Glob.TOU_THRESH)
	bus.write_byte_data(address, Glob.ELE11_R, Glob.REL_THRESH)	

	# Section D
	# Set the Filter Configuration
	# Set ESI2
	bus.write_byte_data(address, Glob.FIL_CFG, 0x04)

	# Section E
	# Electrode Configuration
	# Set ELE_CFG to 0x00 to return to standby mode
	bus.write_byte_data(address, Glob.ELE_CFG, 0x0C) # Enables all 12 Electrodes 
