#!/usr/bin/python
# Nom de fichier : varglob.py

class Glob(object):
  """Espace de noms pour les variables et fonctions <pseudo-globales>"""
 
  dbName = "ee"		# nom de la base de donnees
  user = "pi"	  	# proprietaire ou utilisateur
  passwd = "linux"	# mot de passe d'acces
  host = "127.0.0.1"	# nom ou adresse IP du serveur
  port = 5432
 
  # Structure de la base de donnees.  Dictionnaire des tables & champs :
  dicoT ={"evenements":[('id_evt', "cdc", "identifiant (cle primaire)"),
	      ('long', "float", "longitude du centre du declenchement"),
	      ('lat', "float", "latitude du centre du declenchement"),
	      ('x_utm', "float", "coordonnee x du centre du declenchement"),
	      ('y_utm', "float", "coordonnee y du centre du declenchement"),
	      ('zone', "int", "rayon de la zone de declenchement"),
	      ('action', "cdc", "fichier action"),
	      ('type', "cdc", "type de l'evenement [couleur/objet/autre]")],
	}

  actions_encours = []
  chemin = '/home/pi/son/'
  nb_touch = 0
  jeu = True
  dern_zone=''
  touches = [0,0,0,0,0];
  couleur = 'blanc'
  coul_cpt = 'noir'
  nb_coul = 0

  # MPR121 Register Defines
  MHD_R = 0x2B
  NHD_R = 0x2C
  NCL_R = 0x2D
  FDL_R = 0x2E
  MHD_F = 0x2F
  NHD_F = 0x30
  NCL_F = 0x31
  FDL_F = 0x32
  ELE0_T = 0x41
  ELE0_R = 0x42
  ELE1_T = 0x43
  ELE1_R = 0x44
  ELE2_T = 0x45
  ELE2_R = 0x46
  ELE3_T = 0x47
  ELE3_R = 0x48
  ELE4_T = 0x49
  ELE4_R = 0x4A
  ELE5_T = 0x4B
  ELE5_R = 0x4C
  ELE6_T = 0x4D
  ELE6_R = 0x4E
  ELE7_T = 0x4F
  ELE7_R = 0x50
  ELE8_T = 0x51
  ELE8_R = 0x52
  ELE9_T = 0x53
  ELE9_R = 0x54
  ELE10_T = 0x55
  ELE10_R = 0x56
  ELE11_T = 0x57
  ELE11_R = 0x58
  FIL_CFG = 0x5D
  ELE_CFG = 0x5E
  GPIO_CTRL0 = 0x73
  GPIO_CTRL1 = 0x74
  GPIO_DATA = 0x75
  GPIO_DIR = 0x76
  GPIO_EN = 0x77
  GPIO_SET = 0x78
  GPIO_CLEAR = 0x79
  GPIO_TOGGLE = 0x7A
  ATO_CFG0 = 0x7B
  ATO_CFGU = 0x7D
  ATO_CFGL = 0x7E
  ATO_CFGT = 0x7F

  # Global Constants
  TOU_THRESH = 0x06
  REL_THRESH = 0x0A
